#include <fb/font.h>
static const uint8_t font_symbols_data[] = {
/* @ battery - */
	/*0000:*/	3, 3, 8, 0, 0, /* width and bbox (w,h,x,y) */
	/*0005:*/	0x60,	/* .##..... */
	/*0006:*/	0x40,	/* .#...... */
	/*0007:*/	0x40,	/* .#...... */
	/*0008:*/	0x40,	/* .#...... */
	/*0009:*/	0x40,	/* .#...... */
	/*000a:*/	0x40,	/* .#...... */
	/*000b:*/	0x40,	/* .#...... */
	/*000c:*/	0x60,	/* .##..... */
/* A battery empty */
	/*000d:*/	3, 3, 8, 0, 0, /* width and bbox (w,h,x,y) */
	/*0012:*/	0xe0,	/* ###..... */
	/*0013:*/	0x00,	/* ........ */
	/*0014:*/	0x00,	/* ........ */
	/*0015:*/	0x00,	/* ........ */
	/*0016:*/	0x00,	/* ........ */
	/*0017:*/	0x00,	/* ........ */
	/*0018:*/	0x00,	/* ........ */
	/*0019:*/	0xe0,	/* ###..... */
/* B battery full */
	/*001a:*/	3, 3, 8, 0, 0, /* width and bbox (w,h,x,y) */
	/*001f:*/	0xe0,	/* ###..... */
	/*0020:*/	0x00,	/* ........ */
	/*0021:*/	0xc0,	/* ##...... */
	/*0022:*/	0xc0,	/* ##...... */
	/*0023:*/	0xc0,	/* ##...... */
	/*0024:*/	0xc0,	/* ##...... */
	/*0025:*/	0x00,	/* ........ */
	/*0026:*/	0xe0,	/* ###..... */
/* C battery + */
	/*0027:*/	3, 3, 8, 0, 0, /* width and bbox (w,h,x,y) */
	/*002c:*/	0x80,	/* #....... */
	/*002d:*/	0x80,	/* #....... */
	/*002e:*/	0xc0,	/* ##...... */
	/*002f:*/	0xc0,	/* ##...... */
	/*0030:*/	0xc0,	/* ##...... */
	/*0031:*/	0xc0,	/* ##...... */
	/*0032:*/	0x80,	/* #....... */
	/*0033:*/	0x80,	/* #....... */
/* D radiation left */
	/*0034:*/	3, 3, 8, 0, 0, /* width and bbox (w,h,x,y) */
	/*0039:*/	0x20,	/* ..#..... */
	/*003a:*/	0x40,	/* .#...... */
	/*003b:*/	0x20,	/* ..#..... */
	/*003c:*/	0x00,	/* ........ */
	/*003d:*/	0x00,	/* ........ */
	/*003e:*/	0x00,	/* ........ */
	/*003f:*/	0x00,	/* ........ */
	/*0040:*/	0x00,	/* ........ */
/* E tower */
	/*0041:*/	5, 5, 8, 0, 0, /* width and bbox (w,h,x,y) */
	/*0046:*/	0x20,	/* ..#..... */
	/*0047:*/	0x50,	/* .#.#.... */
	/*0048:*/	0x20,	/* ..#..... */
	/*0049:*/	0x20,	/* ..#..... */
	/*004a:*/	0x50,	/* .#.#.... */
	/*004b:*/	0x50,	/* .#.#.... */
	/*004c:*/	0x88,	/* #...#... */
	/*004d:*/	0xf8,	/* #####... */
/* F radiation right */
	/*004e:*/	3, 3, 8, 0, 0, /* width and bbox (w,h,x,y) */
	/*0053:*/	0x80,	/* #....... */
	/*0054:*/	0x40,	/* .#...... */
	/*0055:*/	0x80,	/* #....... */
	/*0056:*/	0x00,	/* ........ */
	/*0057:*/	0x00,	/* ........ */
	/*0058:*/	0x00,	/* ........ */
	/*0059:*/	0x00,	/* ........ */
	/*005a:*/	0x00,	/* ........ */
/* G no radiation */
	/*005b:*/	3, 3, 8, 0, 0, /* width and bbox (w,h,x,y) */
	/*0060:*/	0x00,	/* ........ */
	/*0061:*/	0x00,	/* ........ */
	/*0062:*/	0x00,	/* ........ */
	/*0063:*/	0x00,	/* ........ */
	/*0064:*/	0x00,	/* ........ */
	/*0065:*/	0x00,	/* ........ */
	/*0066:*/	0x00,	/* ........ */
	/*0067:*/	0x00,	/* ........ */
/* H battery loaded */
	/*0068:*/	3, 3, 8, 0, 0, /* width and bbox (w,h,x,y) */
	/*006d:*/	0xe0,	/* ###..... */
	/*006e:*/	0x00,	/* ........ */
	/*006f:*/	0xe0,	/* ###..... */
	/*0070:*/	0xe0,	/* ###..... */
	/*0071:*/	0xe0,	/* ###..... */
	/*0072:*/	0xe0,	/* ###..... */
	/*0073:*/	0x00,	/* ........ */
	/*0074:*/	0xe0,	/* ###..... */
};
static const uint16_t font_symbols_offsets[] = {
	0x0000 /* '@' */,
	0x000d /* 'A' */,
	0x001a /* 'B' */,
	0x0027 /* 'C' */,
	0x0034 /* 'D' */,
	0x0041 /* 'E' */,
	0x004e /* 'F' */,
	0x005b /* 'G' */,
	0x0068 /* 'H' */,
};
const struct fb_font font_symbols = {
	.height = 8,
	.ascent = 8,
	.firstchar = 64, /* '@' */
	.lastchar = 72,
	.chardata = font_symbols_data,
	.charoffs = font_symbols_offsets,
};

